incubator-esme-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard Hirsch <hirsch.d...@gmail.com>
Subject Re: 1.2 Planning
Date Wed, 22 Sep 2010 13:53:35 GMT
Tried building with 2.80 and 2.1-RC3 and got the following errors:

[INFO] Compiling 51 source files to D:\apache\esme\trunk\server\target\classes
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\Messa
ge.scala:481: error: expected start of definition
[WARNING]   @SearchableProperty{val termVector=TermVector.YES, val analyzer="ste
mming"}
[WARNING]                      ^
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\Messa
ge.scala:487: error: expected start of definition
[WARNING]   @SearchableProperty{val termVector=TermVector.YES, val analyzer="def
ault"}
[WARNING]                      ^
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\Messa
ge.scala:490: error: expected start of definition
[WARNING]   @SearchableProperty{val format="yyyy-MM-dd mm:ss"}
[WARNING]                      ^
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\Messa
ge.scala:493: error: expected start of definition
[WARNING]   @SearchableProperty{val termVector=TermVector.YES, val analyzer="def
ault"}
[WARNING]                      ^
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\Messa
ge.scala:500: error: expected start of definition
[WARNING]   @SearchableProperty{val termVector=TermVector.YES, val analyzer="poo
l"}
[WARNING]                      ^
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\User.
scala:118: error: illegal start of simple expression
[WARNING]     ) ++ SHtml.hidden(doSubmit _)
[WARNING]     ^
[WARNING] D:\apache\esme\trunk\server\src\main\scala\org\apache\esme\model\User.
scala:119: error: ')' expected but '}' found.
[WARNING]     }
[WARNING]     ^
[WARNING] 7 errors found
[INFO] ------------------------------------------------------------------------

pom changes
        <lift.version>2.1-RC3</lift.version>
        <scala.version>2.8.0</scala.version>

Just change lift dependencies to
<artifactId>lift-json_${scala.version}</artifactId>

On Wed, Sep 22, 2010 at 12:08 PM, Imtiaz Ahmed H E <in.imtiaz@gmail.com> wrote:
> Certainly Scala 2.8, actually again should be to 2.8.1 when it happens soon
> (lot of fixes in 2.8.1). We may of course need to fix up whatever Scala 2.8
> breaks in Esme.
>
> Imtiaz
>
> ----- Original Message ----- From: "Richard Hirsch" <hirsch.dick@gmail.com>
> To: <esme-dev@incubator.apache.org>
> Sent: Wednesday, September 22, 2010 1:40 PM
> Subject: 1.2 Planning
>
>
>> Hi,
>>
>> I know the 1.1 vote is currently in progress but I wanted to ask if we
>> should move to later lift version - I was thinking 2.1 and Scala
>> 2.8.0.
>>
>> Thoughts?
>>
>> D.
>
>

Mime
View raw message